#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}

#-----------------------------------------------------------------------------
Name		:	ftp
Version		:	0.17
Release		:	17.0.10.rel%{?dist}

Summary		:	The standard UNIX FTP (File Transfer Protocol) client

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD with advertising
URL		:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit

Source0		:	netkit-%{name}-%{version}.tar.gz
Patch0		:	netkit-%{name}-%{version}-arg_max.patch

#-----------------------------------------------------------------------------
BuildRequires	:	glibc
BuildRequires	:	make
BuildRequires	:	ncurses-devel

#-----------------------------------------------------------------------------
%description
The ftp package provides the standard UNIX
command-line FTP (File Transfer Protocol) client.
FTP is a widely used protocol for transferring
files over the Internet and for archiving files.
 
If your system is on a network, you should
install ftp in order to do file transfers.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/p%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/p%{name}.1.gz
%{_mandir}/man5/netrc.5.gz

#=============================================================================
%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
	--with-c-compiler=%{__cc}			\
	
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64,;
    s,^LDFLAGS=.*$,LDFLAGS=\$(RPM_LD_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_mandir}/man5

%{__make}						\
	INSTALLROOT=%{buildroot}			\
	install

#-----------------------------------------------------------------------------
%changelog
